Skip to main content
GET
/
v1
/
conversations
List conversations
curl --request GET \
  --url https://api.timelyai.com.br/v1/conversations \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "channel": "<string>",
      "channel_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customer_name": "<string>",
      "status": "open",
      "ai_mode": "auto",
      "last_message_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "total_pages": 123
  }
}

Authorizations

x-api-key
string
header
required

API key obtained from the dashboard

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
limit
integer
default:20

Items per page

Required range: 1 <= x <= 100
order
enum<string>
default:desc

Sort direction

Available options:
asc,
desc

Search term

channel
string
status
enum<string>
Available options:
open,
closed,
pending

Response

List of conversations

data
object[]
pagination
object